
set( novaddt_VERSION 03.06.07 )
set( novaddt_UPS_VERSION v03_06_07 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( artdaq_core v1_03_03 )
    find_ups_boost( v1_53_0 )
    find_ups_product( art v1_08_10 )
    find_ups_product( cppunit v1_12_1a )
    find_ups_product( gccxml v0_9_20140718a )
    find_ups_product( clhep v2_2_0_3 )
    find_ups_product( cetpkgsupport v1_08_03 )
    find_ups_product( cetlib v1_08_00 )
    find_ups_product( cpp0x v1_03_02 )
    find_ups_product( fhiclcpp v3_09_00 )
    find_ups_product( sqlite v3_07_15_00 )
    find_ups_product( messagefacility v1_14_01 )
    find_ups_root( v5_34_20 )
    find_ups_product( tbb v4_1 )
    find_ups_product( novadaq v03_01_00 )
    find_ups_product( postgresql v9_1_5b )
    find_ups_product( xerces_c v3_1_1b )
    find_ups_product( libwda v2_7_0 )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
      set( ACTIVITYTRIGGER_MODULE  $ENV{NOVADDT_LIB}/libActivityTrigger_module.dylib )
      set( ACTIVITYTRIGGERANA_MODULE  $ENV{NOVADDT_LIB}/libActivityTriggerAna_module.dylib )
      set( TRICELLTRIGGER_MODULE  $ENV{NOVADDT_LIB}/libTriCellTrigger_module.dylib )
      set( TRICELLTRIGGERANA_MODULE  $ENV{NOVADDT_LIB}/libTriCellTriggerAna_module.dylib )
      set( FEBOVERFLOWTRIGGER_MODULE  $ENV{NOVADDT_LIB}/libFEBOverflowTrigger_module.dylib )
      set( DDTBASEDATAPRODUCTS  $ENV{NOVADDT_LIB}/libDDTBaseDataProducts.dylib )
      set( DDTBASEDATAPRODUCTS_DICT  $ENV{NOVADDT_LIB}/libDDTBaseDataProducts_dict.dylib )
      set( DDTCORE  $ENV{NOVADDT_LIB}/libDDTCore.dylib )
      set( WAVEFORMPROCESSOR_SERVICE  $ENV{NOVADDT_LIB}/libWaveformProcessor_service.dylib )
      set( NOVAFRAGMENTREADER_GENERATOR  $ENV{NOVADDT_LIB}/libNovaFragmentReader_generator.dylib )
      set( NOVAFRAGMENTFILEREADER_GENERATOR  $ENV{NOVADDT_LIB}/libNovaFragmentFileReader_generator.dylib )
      set( NOVADDT_SOURCE  $ENV{NOVADDT_LIB}/libNovaDDT_source.dylib )
      set( NOVADDTHITPRODUCER_MODULE  $ENV{NOVADDT_LIB}/libNovaDDTHitProducer_module.dylib )
      set( DDTCORE_NOVADDTTRIGGER_MODULE  $ENV{NOVADDT_LIB}/libDDTCore_NovaDDTTrigger_module.dylib )
      set( NOVADDTRAWINPUTSOURCE_SOURCE  $ENV{NOVADDT_LIB}/libNovaDDTRawInputSource_source.dylib )
      set( DDTDEMO_MODULE  $ENV{NOVADDT_LIB}/libDDTDemo_module.dylib )
      set( DDTSTREAMER_MODULE  $ENV{NOVADDT_LIB}/libDDTStreamer_module.dylib )
      set( EVALUATION_MODULE  $ENV{NOVADDT_LIB}/libEvaluation_module.dylib )
      set( GHLTEST_MODULE  $ENV{NOVADDT_LIB}/libGHLTest_module.dylib )
      set( MILLIBLOCKCHECKING_MODULE  $ENV{NOVADDT_LIB}/libMilliBlockChecking_module.dylib )
      set( EVENTPRESCALE_MODULE  $ENV{NOVADDT_LIB}/libEventPrescale_module.dylib )
      set( SLICEPRESCALE_MODULE  $ENV{NOVADDT_LIB}/libSlicePrescale_module.dylib )
      set( DDTUTILITIESFUNC  $ENV{NOVADDT_LIB}/libDDTUtilitiesFunc.dylib )
      set( FASTMMTRIGGER_MODULE  $ENV{NOVADDT_LIB}/libFastMMTrigger_module.dylib )
      set( HIGHETRIGGER_MODULE  $ENV{NOVADDT_LIB}/libHighETrigger_module.dylib )
      set( SLOWMMTRIGGER_MODULE  $ENV{NOVADDT_LIB}/libSlowMMTrigger_module.dylib )
      set( SNANA_MODULE  $ENV{NOVADDT_LIB}/libSNAna_module.dylib )
      set( UPMUTRIGGER_MODULE  $ENV{NOVADDT_LIB}/libUpMuTrigger_module.dylib )
      set( DBSLICER_MODULE  $ENV{NOVADDT_LIB}/libDBSlicer_module.dylib )
      set( DCMSLICE_MODULE  $ENV{NOVADDT_LIB}/libDCMSlice_module.dylib )
      set( FEBFLASHFILTER_MODULE  $ENV{NOVADDT_LIB}/libFEBFlashFilter_module.dylib )
      set( HIGHADCFILTER_MODULE  $ENV{NOVADDT_LIB}/libHighADCFilter_module.dylib )
      set( MULTIPLET_MODULE  $ENV{NOVADDT_LIB}/libMultiplet_module.dylib )
      set( REMOVENOISE_MODULE  $ENV{NOVADDT_LIB}/libRemoveNoise_module.dylib )
      set( REMOVEONEDSLICES_MODULE  $ENV{NOVADDT_LIB}/libRemoveOneDSlices_module.dylib )
      set( REMOVESPATIALNOISE_MODULE  $ENV{NOVADDT_LIB}/libRemoveSpatialNoise_module.dylib )
      set( RESTRICTHITSBYPLANE_MODULE  $ENV{NOVADDT_LIB}/libRestrictHitsByPlane_module.dylib )
      set( SINGLETONREJECTION_MODULE  $ENV{NOVADDT_LIB}/libSingletonRejection_module.dylib )
      set( SINGLETONREJECTIONANA_MODULE  $ENV{NOVADDT_LIB}/libSingletonRejectionAna_module.dylib )
      set( SPACESLICE_MODULE  $ENV{NOVADDT_LIB}/libSpaceSlice_module.dylib )
      set( TDSLICE_MODULE  $ENV{NOVADDT_LIB}/libTDSlice_module.dylib )
      set( TIMEDCMSLICE_MODULE  $ENV{NOVADDT_LIB}/libTimeDCMSlice_module.dylib )
      set( TIMESLICE_MODULE  $ENV{NOVADDT_LIB}/libTimeSlice_module.dylib )
      set( HIGHSORTBYTDC_MODULE  $ENV{NOVADDT_LIB}/libHighSortByTDC_module.dylib )
      set( SORTBYDCM_MODULE  $ENV{NOVADDT_LIB}/libSortByDCM_module.dylib )
      set( SORTBYPLANE_MODULE  $ENV{NOVADDT_LIB}/libSortByPlane_module.dylib )
      set( SORTBYTDC_MODULE  $ENV{NOVADDT_LIB}/libSortByTDC_module.dylib )
      set( SORTBYVIEW_MODULE  $ENV{NOVADDT_LIB}/libSortByView_module.dylib )
      set( MOONSHADOW  $ENV{NOVADDT_LIB}/libMoonShadow.dylib )
      set( MOONSHADOW_MODULE  $ENV{NOVADDT_LIB}/libMoonShadow_module.dylib )
      set( CLUSTERANA_MODULE  $ENV{NOVADDT_LIB}/libClusterAna_module.dylib )
      set( NUESELECT_MODULE  $ENV{NOVADDT_LIB}/libNuESelect_module.dylib )
      set( CONTAINEDSLICE_MODULE  $ENV{NOVADDT_LIB}/libContainedSlice_module.dylib )
      set( NUMUTRIGGER_MODULE  $ENV{NOVADDT_LIB}/libNuMuTrigger_module.dylib )
      set( UPMUTESTTRIGGER_MODULE  $ENV{NOVADDT_LIB}/libUpMuTestTrigger_module.dylib )
      set( PATREC  $ENV{NOVADDT_LIB}/libPatRec.dylib )
      set( CLUSTERER_MODULE  $ENV{NOVADDT_LIB}/libClusterer_module.dylib )
      set( DDTTRACKMERGE_MODULE  $ENV{NOVADDT_LIB}/libDDTTrackMerge_module.dylib )
      set( HOUGHTRACKER_MODULE  $ENV{NOVADDT_LIB}/libHoughTracker_module.dylib )
      set( MERGE2DTRACKS_MODULE  $ENV{NOVADDT_LIB}/libMerge2DTracks_module.dylib )
      set( SLICER3D_MODULE  $ENV{NOVADDT_LIB}/libSlicer3D_module.dylib )
      set( SLOWMONOPOLETRIGGER  $ENV{NOVADDT_LIB}/libSlowMonopoleTrigger.dylib )
      set( SLOWMONOPOLETRIGGER_MODULE  $ENV{NOVADDT_LIB}/libSlowMonopoleTrigger_module.dylib )
      set( RATEMONITOR_MODULE  $ENV{NOVADDT_LIB}/libRateMonitor_module.dylib )
      set( TRACKFIT_MODULE  $ENV{NOVADDT_LIB}/libTrackFit_module.dylib )
      include_directories ( $ENV{NOVADDT_INC} )

check_required_components(novaddt)
