#ifndef NOVASLOCATE_H
#define NOVASLOCATE_H

#include "time.h"

#include "novas/novas.h"

#include <string>

namespace shadow
{
  class NOVASLocate
  {
  public:
    NOVASLocate(const std::string& ephemerisFname);
    ~NOVASLocate();

    void GetMoonPosition(time_t t, double& zen, double& azi);
    void GetMoonPosition(double jd_utc, double& zen, double& azi);

    void GetSunPosition(time_t t, double& zen, double& azi);
    void GetSunPosition(double jd_utc, double& zen, double& azi);
  protected:
    double JulianDate(time_t t);

    void GetObjectPosition(object& obj,
			   double jd_utc,
			   double& zen, double& azi);

    on_surface fGeoLoc;
    object fMoon;
    object fSun;

    static int fgRefCount;
  };
}

#endif
