#ifndef GUARD_DDT_SMT_CONSTANTS_HH
#define GUARD_DDT_SMT_CONSTANTS_HH


namespace novaddt
{
  namespace smt
  {
    namespace Constants
    {
      const double PLANE_WIDTH               =  6.6522; // cm
      const double CELL_WIDTH                =  3.9887; // cm
      const double TDC_TICK                  = 15.625;  // ns
      const double SPEED_OF_LIGHT            = 30.0;    // cm / ns

      const unsigned N_CELLS                 = 384; // cells
      const unsigned N_PLANES                = 896; // planes

      const unsigned MAX_CELL                = N_CELLS - 1;
      const unsigned MAX_PLANE               = N_PLANES - 1;

      const unsigned SURFACE_CELL_CUT        = 6; // cells
      const unsigned SURFACE_MIN_CELL        = SURFACE_CELL_CUT;
      const unsigned SURFACE_MAX_CELL        = MAX_CELL - SURFACE_CELL_CUT;
    
      const unsigned SURFACE_PLANE_CUT       = 5; // planes
      const unsigned SURFACE_MIN_PLANE       = SURFACE_PLANE_CUT;
      const unsigned SURFACE_MAX_PLANE       = MAX_PLANE - SURFACE_PLANE_CUT;

      const unsigned VIEW_MATCH_TDC_CUT      = 128; // TDC
      const unsigned VIEW_MATCH_PLANE_CUT    =   2; // planes

      const unsigned TRACK_MIN_HITS          =  20; // number of hits
      const unsigned TRACK_MIN_UNIQUE_PLANES =   3; // number of planes
      const double TRACK_MIN_DISTANCE        = 400; // cm

      const unsigned ROAD_HALF_WIDTH         =  10; // cells
      const double ROAD_TIME_VARIATION       =  64; // TDC
    }
  }
}

#endif
