#ifndef DDT_ORDERED_HIT_LIST_H
#define DDT_ORDERED_HIT_LIST_H


#include "DDTBaseDataProducts/HitList.h"


namespace novaddt
{
  template <class Compare>
  struct OrderedHitList
  {
    // description: this typedef allows a user of the struct to retrieve 
    //              the type
    typedef Compare compare;
    
    // description: constructor taking beginning iterator and end iterator of 
    //              the object that we want sorted
    template <class It> OrderedHitList(It begin, It end);
    HitList hits;
  };
  
  
  template<class Compare>
  template<class It> 
  inline OrderedHitList<Compare>::OrderedHitList(It begin, It end)
    : hits(begin, end)
  {
    std::sort(hits.begin(), hits.end(), compare());
  }
}


#endif
