////////////////////////////////////////////////////////////////////////
// Class:       SortByPlane
// Module Type: producer
// File:        SortByPlane_module.cc
//
// Generated at Mon Nov  5 11:07:28 2012 by Martin Frank using artmod
// from art v1_01_01.
////////////////////////////////////////////////////////////////////////

#include "art/Framework/Core/EDFilter.h"
#include "art/Framework/Core/ModuleMacros.h"
#include "art/Framework/Principal/Handle.h"
#include "art/Framework/Principal/Event.h"

#include "DDTBaseDataProducts/CompareDAQHit.h"
#include "DDTBaseDataProducts/HitList.h"

namespace novaddt {
  class SortByPlane;
}

class novaddt::SortByPlane : public art::EDFilter {
public:
  explicit SortByPlane(fhicl::ParameterSet const & p);
  virtual ~SortByPlane();

  virtual bool filter(art::Event & e);


private:

  std::string _hitslabel;

};


novaddt::SortByPlane::SortByPlane(fhicl::ParameterSet const & p)
  : _hitslabel(p.get<std::string>("hits_label"))
{
  produces<HitList>("PlaneSortedHits");
}

novaddt::SortByPlane::~SortByPlane()
{
  // Clean up dynamic memory and other resources here.
}

bool novaddt::SortByPlane::filter(art::Event & e)
{
  art::Handle<novaddt::HitList> hits;
  e.getByLabel(_hitslabel, hits);
  HitList hit_list(*hits);

  sort(hit_list.begin(), hit_list.end(), CompareDAQHit<Plane>());

  std::unique_ptr<HitList> product(new HitList(hit_list));
  e.put(std::move(product), "PlaneSortedHits");

  return true;
}

DEFINE_ART_MODULE(novaddt::SortByPlane)
